Bug 524332

Summary: Review Request: dualscreen-mouse-utils - Utilities for use with dual head setups using independend screens
Product: [Fedora] Fedora Reporter: Christian Krause <chkr>
Component: Package ReviewAssignee: Stefan Schulze Frielinghaus <stefan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, stefan
Target Milestone: ---Flags: stefan: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.5-4.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-03 19:04:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Christian Krause 2009-09-18 22:47:20 UTC
Spec URL: http://chkr.fedorapeople.org/review/dualscreen-mouse-utils.spec
SRPM URL: http://chkr.fedorapeople.org/review/dualscreen-mouse-utils-0.5-1.fc10.src.rpm

Description: 
Utilities for use with old-school dual head setups: namely not
twinview / one big desktop, but rather two X screens.

mouse-switchscreen:
  Change the mouse cursor from one screen to the other. Remembers the previous
  mouse position for each screen.

mouse-wrapscreen:
  If you have an xorg.conf where both X screens are "separated" on the X
  coordinates, then the mouse cursor cannot cross. Which is sometimes desired,
  and sometimes not. Using mouse-wrapscreen you can configure them to be
  "uncrossable", and then run it in the background when you do want to be able
  to cross the cursor.

Comment 1 Christian Krause 2009-09-18 22:49:53 UTC
*** Bug 524333 has been marked as a duplicate of this bug. ***

Comment 2 Christian Krause 2009-09-27 10:37:49 UTC
Some minor beautifications:
- consistently using rpm macros
- don't define and clean build root (not needed in F10 and greater)

Spec URL: http://chkr.fedorapeople.org/review/dualscreen-mouse-utils.spec
SRPM URL:
http://chkr.fedorapeople.org/review/dualscreen-mouse-utils-0.5-2.fc10.src.rpm

Comment 3 Stefan Schulze Frielinghaus 2009-09-28 09:50:15 UTC
Review of sha256sum dualscreen-mouse-utils-0.5-2.fc10.src.rpm 
80fb0effdea2f5e102f41175cef31eee7ecf20cf39f637660a33a0975be02d7f

[ OK ] MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint /var/lib/mock/fedora-11-ppc/result/dualscreen-mouse-utils-*
dualscreen-mouse-utils.src: E: no-cleaning-of-buildroot %install
dualscreen-mouse-utils.src: E: no-buildroot-tag
3 packages and 0 specfiles checked; 2 errors, 0 warnings.

The two errors can be ignored since they are not required in Fedora 10 an newer anymore.

[ OK ] MUST: The package must be named according to the Package Naming Guidelines .

[ OK ] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[ CHECK ] MUST: The package must meet the Packaging Guidelines .

One small thing left, the Guidelines say to preserve the timestamps (https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps).

Just use "install -p"

[ OK ] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[ OK ] MUST: The License field in the package spec file must match the actual license.

[ OK ] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[ OK ] MUST: The spec file must be written in American English.

[ OK ] MUST: The spec file for the package MUST be legible.

[ OK ] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

sha256sum dualscreen-mouse-utils-0.5.tar.gz:
51c94b382e3b32ea8ccbcb3f2ef8972acc68329aec3c4fcaeaf7f55fda166303

[ OK ] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[ OK ] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

Build on all architectures. Checked via koji.

[ OK ] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[ OK ] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ OK ] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[ OK ] MUST: Packages must NOT bundle copies of system libraries.

[ OK ] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

[ OK ] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

rpmls dualscreen-mouse-utils-0.5-2.fc11.ppc.rpm 
-rwxr-xr-x  /usr/bin/mouse-switchscreen
-rwxr-xr-x  /usr/bin/mouse-wrapscreen
drwxr-xr-x  /usr/share/doc/dualscreen-mouse-utils-0.5
-rw-r--r--  /usr/share/doc/dualscreen-mouse-utils-0.5/README
-rw-r--r--  /usr/share/doc/dualscreen-mouse-utils-0.5/gpl.txt

[ OK ] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[ OK ] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

[ OK ] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

[ OK ] MUST: Each package must consistently use macros.

[ OK ] MUST: The package must contain code, or permissable content.

[ OK ] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

[ OK ] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[ OK ] MUST: Header files must be in a -devel package.

No headers available.

[ OK ] MUST: Static libraries must be in a -static package.

No libraries available.

[ OK ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

No need for pkgconfig.

[ OK ] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[ OK ] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

[ OK ] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[ OK ] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

Non GUI app in package.

[ OK ] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

[ OK ] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

rpmlint complains about this one too but the guidelines (https://fedoraproject.org/wiki/Packaging/Guidelines#Prepping_BuildRoot_For_.25install) say that it is OK for Fedora 10 and later:

"The current redhat-rpm-config package in Fedora 10 and newer automatically deletes and creates the buildroot at %install, so in Fedora 10 and newer, it is not necessary for packages to manually Prepare the BuildRoot for install as described below. Fedora releases older than 10 and EPEL releases older than or equal to 5 still need to follow the below guidelines."

Therefore I marked this one as OK.

[ OK ] MUST: All filenames in rpm packages must be valid UTF-8.

---------------------------------

[ OK ]  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

[ N/A ] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

[ OK ] SHOULD: The reviewer should test that the package builds in mock.

[ OK ] SHOULD: The package should compile and build into binary rpms on all supported architectures.

Checked via koji.

[ Not done ] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

[ OK ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

No scriptlets used.

[ OK ] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

[ OK ] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

[ OK ] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

------------------------------------------

Checked also upstream for newer versions but 0.5 is the latest.

Comment 4 Michael Schwendt 2009-09-28 11:27:44 UTC
> Just use "install -p"

Doesn't apply here. Timestamps of the two freshly compiled programs will be new anyway. Timestamps of the %doc files are preserved already.


> American English.

sed -i 's!dependend!dependent!' dualscreen-mouse-utils.spec

Comment 5 Christian Krause 2009-09-28 19:43:41 UTC
Thanks for the detailed review. I share Michael's opinion that "install -p" is not needed for freshly compiled programs.


If I haven't overseen anything, there was no other issue... 

I've just fixed the small spelling mistake:

Spec URL: http://chkr.fedorapeople.org/review/dualscreen-mouse-utils.spec
SRPM URL:
http://chkr.fedorapeople.org/review/dualscreen-mouse-utils-0.5-3.fc10.src.rpm

Comment 6 Stefan Schulze Frielinghaus 2009-09-28 20:14:26 UTC
I wasn't 100% sure if the timestamps are important for compiled binaries. Therefore, I interpreted the Guidelines very strictly. I had a similar conversation on IRC and the outcome was that the timestamps are quite important for noarch packages. But that's not the case here so I agree with both of you. Thanks for clarification ;-)

$ rpmdiff dualscreen-mouse-utils-0.5-2.fc10.src.rpm dualscreen-mouse-utils-0.5-3.fc10.src.rpm 
S.5.....    SUMMARY
S.5.......T dualscreen-mouse-utils.spec

$ diff -u a/dualscreen-mouse-utils.spec b/dualscreen-mouse-utils.spec
...
-Summary: Utilities for use with dual head setups using independend screens
+Summary: Utilities for use with dual head setups using independent screens
...
-Release: 2%{?dist}
+Release: 3%{?dist}
...
+* Mon Sep 28 2009 Christian Krause <chkr@plauener.de> - 0.5-3
+- Fix spelling mistake
+

Looks good to me. Package dualscreen-mouse-utils-0.5-3.fc10.src.rpm with sha256sum e16a46cf4e50cdca72ea1fc03a4d138ac341ec9e6ad478fb55b086586557fca1 APPROVED.

Comment 7 Christian Krause 2009-09-28 20:24:29 UTC
New Package CVS Request
=======================
Package Name: dualscreen-mouse-utils
Short Description: Utilities for use with dual head setups using independent screens
Owners: chkr
Branches: F-11 F-12
InitialCC:

Comment 8 Michael Schwendt 2009-09-29 09:07:54 UTC
> I had a similar conversation on IRC and the outcome was that the
> timestamps are quite important for noarch packages.

How important is "quite important"? If there is somebody who spreads rumours like that, I'd prefer a public email in a more relevant and more appropriate place. IRC conversations are quite unimportant.

The current guideline on preserving timestamps (which is worded as a recommendation: "consider using") is based on two simple facts: 1) For files whose content doesn't change with rebuilds or upgrades of a package, with preserved mtime timestamps package end-users can easily recognise the age of files (which may be a hint about the age of the software, too) and also recognise old/out-of-date documentation. That's not something of importance, it can be plain helpful. 2) For files that don't change with rebuilds or upgrades of a package (in particular not in terms of a checksum change), we don't want such files to trigger a report of external system integrity checkers because of mtime changes. [During intrusion detection, for example, a changed mtime (even with an unchanged file checksum) means that someone/something has written to a file.]

And we're not talking about embedded timestamps here, which are part of a file's data and influence the file's checksum.

Comment 9 Kevin Fenzi 2009-09-29 20:12:59 UTC
cvs done.

Comment 10 Fedora Update System 2009-09-30 20:38:31 UTC
dualscreen-mouse-utils-0.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dualscreen-mouse-utils-0.5-4.fc11

Comment 11 Fedora Update System 2009-10-03 19:04:27 UTC
dualscreen-mouse-utils-0.5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-10-04 20:31:01 UTC
dualscreen-mouse-utils-0.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dualscreen-mouse-utils-0.5-4.fc12